xcb_glx_render_mode(3)

NAME
xcb_glx_render_mode -

SYNOPSIS
#include <xcb/glx.h>

  Request function

xcb_glx_render_mode_cookie_t xcb_glx_render_mode(xcb_connection_t *conn, xcb_glx_context_tag_t context_tag, uint32_t mode);

  Reply datastructure

typedef struct xcb_glx_render_mode_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t ret_val;
    uint32_t n;
    uint32_t new_mode;
    uint8_t  pad1[12];
} xcb_glx_render_mode_reply_t;

  Reply function

xcb_glx_render_mode_reply_t *xcb_glx_render_mode_reply(xcb_connection_t *conn, xcb_glx_render_mode_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

uint32_t *xcb_glx_render_mode_data(const xcb_glx_render_mode_request_t *reply);

int xcb_glx_render_mode_data_length(const xcb_glx_render_mode_reply_t *reply);

xcb_generic_iterator_t xcb_glx_render_mode_data_end(const xcb_glx_render_mode_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

context_tag
    TODO: NOT YET DOCUMENTED.

mode
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_GLX_RENDER_MODE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

ret_val
    TODO: NOT YET DOCUMENTED.

n   TODO: NOT YET DOCUMENTED.

new_mode
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_glx_render_mode_cookie_t. Errors have to be handled when calling the reply function xcb_glx_render_mode_reply. If you want to handle errors in the event loop instead, use xcb_glx_render_mode_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from glx.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.